DataCollector
SPA: Creates a new Data Collector.
Creates a new Data Collector.
POST
/api/spa/data-collectorsAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new DataCollector resource
{
"identifier": "string",
"schedule": 1,
"type": "string",
"configuration": [
"string"
],
"requestMapping": [
"string"
],
"apiToken": {
"subClient": {}
},
"subClient": {}
}Response
201
DataCollector resource created
id
integer
identifier
stringrequired
schedule
integer | null
type
stringrequired
configuration
string[]
requestMapping
string[]
apiToken
value | null
lastExecution
string<date-time> | null
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.